Difference between revisions of "MediaWiki:Vector.css"

From ZeTranslation
Jump to: navigation, search
(Added dark theme)
 
Line 7: Line 7:
 
@darkmode-red-link-color: #ff6e6e;*/
 
@darkmode-red-link-color: #ff6e6e;*/
  
 +
html, body {
 +
background-color: #1f2531;
 +
}
 +
 +
/* "Default mode" link */
 
#pt-darkmode-link a:before {
 
#pt-darkmode-link a:before {
content: '\263E'; /* Moon icon */
+
content: '\263C'; /* Sun icon */
display: inline-block;
+
 
}
 
}
  
/*.client-dark-mode {*/
+
&,
html {
+
img,
background-color: #000;
+
video,
}
+
svg,
 +
iframe, /* some maps are iframes */
 +
.mw-no-invert,
 +
.mw-mmv-overlay,
 +
.mw-mmv-pre-image,
 +
.mw-kartographer-map,
 +
.mw-kartographer-mapDialog-map {
 +
filter: invert( 1 ) hue-rotate( 180deg );
 +
-webkit-filter: invert( 1 ) hue-rotate( 180deg );
 +
}
  
/* "Default mode" link */
+
/* Backgrounds */
#pt-darkmode-link a:before {
+
.toc,
content: '\263C'; /* Sun icon */
+
.thumbinner,
}
+
#simpleSearch,
 +
#searchInput,
 +
#searchButton,
 +
#searchGoButton,
 +
table,
 +
table.toccolours,
 +
.wikitable,
 +
.mw-notification {
 +
background-color: #ddd;
 +
}
  
&,
+
/* Borders */
img,
+
body,
video,
+
#mw-head,
svg,
+
#mw-panel,
iframe, /* some maps are iframes */
+
#content.mw-body,
.mw-no-invert,
+
h1,
.mw-mmv-overlay,
+
h2,
.mw-mmv-pre-image,
+
h3,
.mw-kartographer-map,
+
h4,
.mw-kartographer-mapDialog-map {
+
h5,
filter: invert( 1 ) hue-rotate( 180deg );
+
h6,
-webkit-filter: invert( 1 ) hue-rotate( 180deg );
+
.toc,
}
+
div.thumbinner,
 +
#simpleSearch,
 +
#searchInput,
 +
table.toccolours,
 +
.mw-notification {
 +
border-color: #cdcbc8;
 +
}
  
/* Backgrounds */
+
.thumbimage {
.toc,
+
border: 0;
.thumbinner,
+
}
#simpleSearch,
+
#searchInput,
+
#searchButton,
+
#searchGoButton,
+
table,
+
table.toccolours,
+
.wikitable,
+
.mw-notification {
+
background-color: #ddd;
+
}
+
  
/* Borders */
+
/* Normal links */
body,
+
a,
#mw-head,
+
#mw-panel .portal .body li a,
#mw-panel,
+
.toctogglelabel,
#content.mw-body,
+
.mw-parser-output a.external,
h1,
+
.mw-parser-output a.extiw,
h2,
+
.mw-parser-output a.extiw:active {
h3,
+
color: #69f;
h4,
+
}
h5,
+
h6,
+
.toc,
+
div.thumbinner,
+
#simpleSearch,
+
#searchInput,
+
table.toccolours,
+
.mw-notification {
+
border-color: #cdcbc8;
+
}
+
  
.thumbimage {
+
/* Visited links */
border: 0;
+
a:visited,
}
+
#mw-panel .portal .body li a:visited {
 +
color: #709bbd;
 +
}
  
/* Normal links */
+
/* Red links */
a,
+
a.new,
#mw-panel .portal .body li a,
+
.new a {
.toctogglelabel,
+
color: #ff6e6e;
.mw-parser-output a.external,
+
}
.mw-parser-output a.extiw,
+
.mw-parser-output a.extiw:active {
+
color: #69f;
+
}
+
  
/* Visited links */
+
/**
a:visited,
+
* Skin-specific overrides
#mw-panel .portal .body li a:visited {
+
*/
color: #709bbd;
+
}
+
  
/* Red links */
+
.vectorTabs li a {
a.new,
+
color: #69f;
.new a {
+
}
color: #ff6e6e;
+
}
+
  
/**
+
/**
* Skin-specific overrides
+
* Non-MediaWiki overrides
*/
+
*/
  
.vectorTabs li a {
+
.infobox, /* English Wikipedia, most other wikis with infoboxes */
color: #69f;
+
.infobox_v2 { /* French/Portuguese Wikipedia, etc. */
}
+
background-color: #ddd;
 +
border-color: #cdcbc8;
 +
}
  
/**
+
/* Maintenance templates you see atop some articles */
* Non-MediaWiki overrides
+
.ambox-content {
*/
+
background-color: #ddd;
 
+
border-color: #cdcbc8;
.infobox, /* English Wikipedia, most other wikis with infoboxes */
+
}
.infobox_v2 { /* French/Portuguese Wikipedia, etc. */
+
background-color: #ddd;
+
border-color: #cdcbc8;
+
}
+
 
+
/* Maintenance templates you see atop some articles */
+
.ambox-content {
+
background-color: #ddd;
+
border-color: #cdcbc8;
+
}
+
/*}*/
+

Revision as of 18:59, 3 August 2020

/* CSS placed here will affect users of the Vector skin */

/*@darkmode-table-background-color: #ddd;
@darkmode-border-color: #cdcbc8;
@darkmode-link-color: #69f;
@darkmode-link-visited-color: #709bbd;
@darkmode-red-link-color: #ff6e6e;*/

html, body {
	background-color: #1f2531;
}

/* "Default mode" link */
#pt-darkmode-link a:before {
	content: '\263C'; /* Sun icon */
}

&,
img,
video,
svg,
iframe,	/* some maps are iframes */
.mw-no-invert,
.mw-mmv-overlay,
.mw-mmv-pre-image,
.mw-kartographer-map,
.mw-kartographer-mapDialog-map {
	filter: invert( 1 ) hue-rotate( 180deg );
	-webkit-filter: invert( 1 ) hue-rotate( 180deg );
}

/* Backgrounds */
.toc,
.thumbinner,
#simpleSearch,
#searchInput,
#searchButton,
#searchGoButton,
table,
table.toccolours,
.wikitable,
.mw-notification {
	background-color: #ddd;
}

/* Borders */
body,
#mw-head,
#mw-panel,
#content.mw-body,
h1,
h2,
h3,
h4,
h5,
h6,
.toc,
div.thumbinner,
#simpleSearch,
#searchInput,
table.toccolours,
.mw-notification {
	border-color: #cdcbc8;
}

.thumbimage {
	border: 0;
}

/* Normal links */
a,
#mw-panel .portal .body li a,
.toctogglelabel,
.mw-parser-output a.external,
.mw-parser-output a.extiw,
.mw-parser-output a.extiw:active {
	color: #69f;
}

/* Visited links */
a:visited,
#mw-panel .portal .body li a:visited {
	color: #709bbd;
}

/* Red links */
a.new,
.new a {
	color: #ff6e6e;
}

/**
 * Skin-specific overrides
 */

.vectorTabs li a {
	color: #69f;
}

/**
 * Non-MediaWiki overrides
 */

.infobox, /* English Wikipedia, most other wikis with infoboxes */
.infobox_v2 { /* French/Portuguese Wikipedia, etc. */
	background-color: #ddd;
	border-color: #cdcbc8;
}

/* Maintenance templates you see atop some articles */
.ambox-content {
	background-color: #ddd;
	border-color: #cdcbc8;
}